2008-03-16  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* configure.ac: Bump version for 0.1.2.5.

2008-03-16  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* src/avrcore.c: Make interrupt slot numbers unsigned int
	rather than int, to avoid a GCC 4.x warning.
	* src/avrcore.h: (Ditto.)
	* src/intvects.h: (Ditto.)
	* src/uart.c: (Ditto.)
	* src/uart.h: (Ditto.)

2008-03-09  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* configure.ac: Bump version date to indicate post-release
	0.1.2.4.

2008-03-09  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* src/disp/disp.c (disp_parse_packet): initialize areg to work
	around GCC bug 34793.
	* configure.ac: Bump version for release 0.1.2.4

2008-01-07  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* configure.ac: Bump version date to indicate post-release
	0.1.2.3.

2008-01-07  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* configure.ac: Change version to 0.1.2.3, in preparation of
	a new bugfix release.

2008-01-07  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	Some Cygwin fixes:
	* src/gdbserver.c: Partially revert the change from rev 1.51;
	allocating a 1 MB buffer off the stack turned out to cause a
	Cygwin stack overflow so reduce MAX_BUF to 100000.
	* test_c/Makefile.am: use $(EXEEXT) for the default names
	of ELF files as generated by the linker.  Evaluates to an
	empty string under Unix, and to .exe under Cygwin.

2008-01-07  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	bug #11929: simulavr-disp displays garbage characters after
	"Reserved"
	* src/disp/disp.c (disp_print_io_reg_name): Correctly delimit the
	curses field width for the IO register name display.

2008-01-07  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* configure.ac: De-support building the PS documentation.
	* configure.ac: Apply quotes to macro TROTH_ENABLE_TESTS to
	get rid off an aclocal warning.
	* doc/Makefile.am: De-support building the PS documentation,
	fix the build sequence for the remaining documentation so
	a "make" now correctly builds everything selected, and
	"make install" just installs it.  Correctly detect the
	multitude of options about how different version of
	texi2html -split_node could drop their output files, and
	act appropriately (heavily borrowed from avrdude).
	* src/avrcore.c: Yet another XRAM fix: if no XRAM is present,
	set xram_end to sram_end rather than to 0.

2008-01-06  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* src/avrcore.c: Replace "static inline" declarations by just
	"static" ones, and leave it to the compiler whether it actually
	wants to inline them.  This avoids compiler warnings depending
	on the compiler version, eventually becoming fatal due to the
	-Werror suggested.
	* src/decoder.c: (Ditto.)
	* src/memory.c: (Ditto.)
	* src/register.c: (Ditto.)

2008-01-06  Joerg Wunsch <j.gnu@uriah.heep.sax.de>
[Thanks to Peeter Vois]

	patch #4623: making simulavr to compile under Fedora Core 4
	* src/gdbserver.c: Add a couple of (char *) typecasts.

2008-01-06  Joerg Wunsch <j.gnu@uriah.heep.sax.de>
[Thanks to Peeter Vois]

	patch #4624: socket buffer increased from 400 to 1000000
	* src/gdbserver.c: Bump MAX_BUF from 400 to 1000000.

2008-01-06  Joerg Wunsch <j.gnu@uriah.heep.sax.de>
[Thanks to Benjamin Benz <bbe@heise.de>]

	patch #4819: Added ATMega32
	* configure.ac: Bump version date.
	* src/Makefile.am: add defn/mega32.h
	* src/devsupp.c: add ATmega32
	* src/intvects.c: (Ditto.)
	* src/defn/mega32.h: New file.
	* simulavr.1.in: Add ATmega32.

2008-01-06  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* doc/doxygen.conf.in: update through doxygen -u; enable
	LaTeX batchmode.
	* doc/texinfo.tex: Update from the teTeX distribution, so the
	current (pdf)latex no longer fails to build a DVI file.

2008-01-05  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* configure.ac: bump version.

2008-01-05  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	Fix the external SRAM handling.  This finally gets rid of all
	the ``Attempt to read invalid mem addr'' warnings during a
	memory dump.
	* src/avrcore.c: Call mem_new() with the appropriate xram
	size rather than assuming it's always present.  Attach the
	XRAM area (for devices that support it) within
	avr_core_construct().
	* src/avrcore.h (struct _AvrCore): Add xram.
	* src/devsupp.c: Add size.xram, and dev_supp_get_xram_sz().
	* src/devsupp.h: Add dev_supp_get_xram_sz().
	* src/memory.c (mem_attach): Fix an off-by-one error when
	complaining about an address being out of range.
	* src/defn/90s4414.h: Add xram.
	* src/defn/90s8515.h: (Ditto.)
	* src/defn/mega103.h: (Ditto.)
	* src/defn/mega128.h: (Ditto.)

2008-01-05  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* src/memory.c (mem_sram_dump_core): correctly calculate the
	internal and external SRAM sizes when calling mem_sram_display().
	This fixes a segfault resulting from accessing mem->cell[] out
	of bounds.

2008-01-04  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* src/avrcore.c: set core->eeprom to NULL to indicate there's
	no EEPROM (yet).

2008-01-04  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* bootstrap: Bump requirements to automake 1.9, and
	autoconf 2.59, respectively, as these superseded versions
	1.7 and 2.57 without causing incompatibilities.

2005-01-13 Klaus Rudolph <lts-rudolph@gmx.de>
[Thanks to Joerg Wunsch]

	* src/avrcore.c bugfix: bugfix: devision by zero

2004-09-15  Theodore A. Roth  <troth@openavr.org>
[Thanks to Nils Springob <nils@crazy-idea.de> for catching this.]

	* configure.ac (AC_INIT): Bump version.
	* src/defn/mega128.h: Fix PORTF addr.

2004-05-19  Theodore A. Roth  <troth@openavr.org>
[Contributed by Alexander Stohr <Alexander.Stohr@gmx.de>]

	* configure.ac (AC_INIT): Bump version.

	* src/memory.c (mem_read): Increase verbosity of warning.
	(mem_write): Ditto.

2004-04-16  Theodore A. Roth  <troth@openavr.org>

	* configure.ac (AC_INIT): Bump version.

	* src/avrcore.c (avr_core_construct): Don't call display_clock since
	the display hasn't been opened yet.
	* src/main.c (main): Call display_clock to send init cycles to display
	after opening the display.

	* src/main.c (parse_cmd_line): Update copyright year for -v option.

	* test_asm/test_8515/Makefile.am (all-local): Fix to allow building
	with gcc-3.4/binutils-2.15.

2004-04-15  Theodore A. Roth  <troth@openavr.org>

	* configure.ac (AC_INIT): Bump version.
	* src/Makefile.am (simulavr_SOURCES): Remove defn/43usb324.h.

2004-03-13  Theodore A. Roth  <troth@openavr.org>
[Contributed by Keith Gudger <keith@atmel.com>]

	* configure.ac (AC_INIT): Bump version.

	* src/adc.c:
	* src/adc.h:
	* src/spi.c:
	* src/spi.h:
	* src/timers.c:
	* src/timers.h:
	* src/uart.c:
	* src/uart.h:
	* src/usb.c:
	* src/usb.h:
	* src/defn/43usb320.h:
	* src/defn/43usb325.h:
	* src/defn/43usb326.h:
	* src/defn/43usb351.h:
	* src/defn/43usb353.h:
	* src/defn/43usb355.h:
	Update to new vdev/memory infrastructure.

2004-03-11  Theodore A. Roth  <troth@openavr.org>

	* configure.ac (AC_INIT): Bump version.

	* src/disp-vcd/vcd.c:
	* src/disp-vcd/vcd.h:
	Don't inline vcd_set_clock.

2004-02-25  Theodore A. Roth  <troth@openavr.org>

	* src/decoder.c (avr_op_BREAK): Print out a message whenever a break
	point is hit.
	* src/disp-vcd/config_scanner.l: Fix flex compile problem.

2004-02-25  Theodore A. Roth  <troth@openavr.org>
[Contributed by Keith Gudger <keith@atmel.com>]

	* src/devsupp.c:
	* src/intvects.c:
	* src/defn/43usb320.h:
	* src/defn/43usb324.h:
	* src/defn/43usb325.h:
	* src/defn/43usb326.h:
	* src/defn/43usb351.h:
	* src/defn/43usb353.h:
	* src/defn/43usb355.h:
	Drop support for 324 devices.
	Stub out the usb device register names.

2004-02-13  Theodore A. Roth  <troth@openavr.org>
[Thanks to John Regehr <regehr@cs.utah.edu> for reporting this.]

	* src/avrcore.c (avr_run_core): Avoid division by zero when calculating
	the executed instructions and clock cycles.

2004-02-13  Theodore A. Roth  <troth@openavr.org>

	* configure.ac (AC_INIT): Bump version.
	* src/disp-vcd/config_scanner.l: Disable generation of yyunput()
	function by flex.

2004-02-01  Theodore A. Roth  <troth@openavr.org>

	* configure.ac (AC_INIT): Bump version.
	* misc/gpl_header: Update copyright year.
	* misc/gpl_header_c: Ditto.
	* misc/gpl_header_h: Ditto.
	* misc/gpl_header_py: Ditto.
	* misc/defn_tmpl_h: New file.
	* src/Makefile.am (simulavr_SOURCES): Add defn dir headers.
	* src/devsupp.c (defn_at90s1200): Move def to header.
	(defn_at90s2313): Ditto.
	(defn_at90s4414): Ditto.
	(defn_at90s8515): Ditto.
	(defn_atmega8): Ditto.
	(defn_atmega16): Ditto.
	(defn_atmega103): Ditto.
	(defn_atmega128): Ditto.
	(defn_at43usb351): Ditto.
	(defn_at43usb353): Ditto.
	(defn_at43usb355): Ditto.
	(defn_at43usb320): Ditto.
	(defn_at43usb324): Ditto.
	(defn_at43usb325): Ditto.
	(defn_at43usb326): Ditto.
	* src/defn/43usb320.h: New file.
	* src/defn/43usb324.h: New file.
	* src/defn/43usb325.h: New file.
	* src/defn/43usb326.h: New file.
	* src/defn/43usb351.h: New file.
	* src/defn/43usb353.h: New file.
	* src/defn/43usb355.h: New file.
	* src/defn/90s1200.h: New file.
	* src/defn/90s2313.h: New file.
	* src/defn/90s4414.h: New file.
	* src/defn/90s8515.h: New file.
	* src/defn/mega103.h: New file.
	* src/defn/mega128.h: New file.
	* src/defn/mega16.h: New file.
	* src/defn/mega8.h: New file.

2004-01-29  Theodore A. Roth  <troth@openavr.org>

	* configure.ac (AC_INIT): Bump version.

	* src/adc.c:
	* src/adc.h:
	* src/avrcore.c:
	* src/avrcore.h:
	* src/avrerror.c:
	* src/device.c:
	* src/devsupp.c:
	* src/devsupp.h:
	* src/eeprom.c:
	* src/main.c:
	* src/memory.c:
	* src/memory.h:
	* src/ports.c:
	* src/ports.h:
	* src/register.c:
	* src/spi.c:
	* src/spi.h:
	* src/sram.c:
	* src/stack.c:
	* src/stack.h:
	* src/timers.c:
	* src/timers.h:
	* src/uart.c:
	* src/uart.h:
	* src/usb.c:
	* src/vdevs.h:
	Convert Memory from a linked list to an array of memory cells. This
	gives a significant improvement in speed (more than 50% when running
	the test/deep_frame.c program).
	Convert core constructor to use new structures previously committed.
	There's still alot of registers vdevs that need updated to work
	properly with all this changes.
	The ports are now much more generic under the new memory attachment
	system and all the specfic ports are gone.
	The "find vdev by name" mechanism is gone since it was much too
	expensive.
	A single VDevice can now be installed at many discontinuous memory
	addresses.

2004-01-28  Theodore A. Roth  <troth@openavr.org>

	* src/devsupp.c (struct io_reg_defn): Define.
	(IO_REG_DEFN_TERMINATOR): Define.
	(struct _DevSuppDefn): Add io_reg array field.
	(defn_at90s1200): Add io_reg initializer.
	(defn_at90s2313): Ditto.
	(defn_at90s4414): Ditto.
	(defn_at90s8515): Ditto.
	(defn_atmega8): Ditto.
	(defn_atmega16): Ditto.
	(defn_atmega103): Ditto.
	(defn_atmega123): Ditto.
	(defn_at43usb351): Ditto.
	(defn_at43usb353): Ditto.
	(defn_at43usb355): Ditto.
	(defn_at43usb320): Ditto.
	(defn_at43usb324): Ditto.
	(defn_at43usb325): Ditto.
	(defn_at43usb326): Ditto.
	* src/ports.c (port_create): Stub out new function.
	* src/register.c (sreg_create): Ditto.
	(rampz_create): Ditto.
	* src/stack.c (sp_create): Ditto.
	* src/ports.h (port_create): Prototype.
	* src/register.h (sreg_create): Ditto.
	(rampz_create): Ditto.
	* src/stack.h (sp_create): Ditto.
	* src/vdevs.h (VDevCreate): New typedef.
	(VDevFP_AddAddr): Ditto.

2004-01-28  Theodore A. Roth  <troth@openavr.org>

	* configure.ac (AC_INIT): Bump version.
	* README.mem_vdev: Updated.
	* misc/io_gen.py: New file.
	* test_c/deep_frame.c: Modified to be a little more useful in testing.

2004-01-18  Theodore A. Roth  <troth@openavr.org>

	* Released 0.1.2.1.

2004-01-18  Theodore A. Roth  <troth@openavr.org>

	* Makefile.am: Update copyright year.
	(EXTRA_DIST): Add ChangeLog-200[123] files.
	(install_aux_files): Ditto.
	* configure.ac (AC_INIT): Set version to 0.1.2.1.

2004-01-17  Theodore A. Roth  <troth@openavr.org>

	* Released 0.1.2.

2004-01-17  Theodore A. Roth  <troth@openavr.org>

	* configure.ac: Update copyright year.
	(AC_INIT): Set version to 0.1.2.
	* doc/simulavr.texi: Update copyright year.

2004-01-01  Theodore A. Roth  <troth@openavr.org>
[Contributed by Keith Gudger <keith@atmel.com>]

	* configure.ac (AC_INIT): Bump version.
	* src/Makefile.am (simulavr_SOURCES): Add uart.c, uart.h and usb.c.
	* src/devsupp.c: Add uart and usb support.
	* src/uart.c: New file.
	* src/uart.h: New file.
	* src/usb.c: New file.

2004-01-01  Theodore A. Roth  <troth@openavr.org>

	* ChangeLog: Cycle ChangeLog file.
	* ChangeLog-2001: New file.
	* ChangeLog-2002: New file.
	* ChangeLog-2003: New file.

